# Generated by Django 2.0.9 on 2018-10-04 09:06

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields
import wagtail.contrib.routable_page.models
import wagtail.core.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0040_page_draft_title'),
        ('wagtailimages', '0021_image_file_hash'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=80, unique=True, verbose_name='Category name')),
                ('slug', models.SlugField(max_length=80, unique=True)),
                ('description', models.CharField(blank=True, max_length=500, verbose_name='Description')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='children', to='wagtail_eventcalendar.Category', verbose_name='Parent category')),
            ],
            options={
                'verbose_name': 'Event Category',
                'verbose_name_plural': 'Event Categories',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='CategoryEventPage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='wagtail_eventcalendar.Category', verbose_name='Category')),
            ],
        ),
        migrations.CreateModel(
            name='EventCalendar',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('description', wagtail.core.fields.RichTextField(blank=True, help_text='Description of the calendar', verbose_name='Description')),
                ('default_image', models.ForeignKey(blank=True, help_text='Default image to be used for calendar entries', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.Image', verbose_name='Default Image')),
            ],
            options={
                'verbose_name': 'Calendar Root Page',
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, 'wagtailcore.page'),
        ),
        migrations.CreateModel(
            name='EventCalPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('description', wagtail.core.fields.RichTextField(blank=True, help_text='Description of event', verbose_name='Description')),
                ('start_dt', models.DateTimeField(help_text='Starting time of event', verbose_name='Start of Event')),
                ('end_dt', models.DateTimeField(help_text='End time of event. Does not need to be same day.', verbose_name='End of Event')),
                ('location', models.CharField(blank=True, help_text='Location of event', max_length=255, verbose_name='Location')),
                ('problem_status', models.BooleanField(default=False, help_text='Whether there is a problem with the event', verbose_name='Problem Status')),
                ('problem_text', models.TextField(blank=True, help_text='Text that describes the problem. Keep brief.', null=True, verbose_name='Problem Description')),
                ('categories', models.ManyToManyField(blank=True, help_text='Categories this event belongs to', through='wagtail_eventcalendar.CategoryEventPage', to='wagtail_eventcalendar.Category', verbose_name='Categories')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.Image', verbose_name='Image')),
            ],
            options={
                'verbose_name': 'Calendar Event',
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, 'wagtailcore.page'),
        ),
        migrations.AddField(
            model_name='categoryeventpage',
            name='page',
            field=modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='event_categories', to='wagtail_eventcalendar.EventCalPage'),
        ),
    ]
